// define servo id = signal pin assignment 
#define idHFR 2  //"HIP_FRONT_RIGHT"
#define idKFR 6  //"KNEE_FRONT_RIGHT"
#define idHFL 3  //"HIP_FRONT_LEFT"
#define idKFL 7  //"KNEE_FRONT_LEFT"
#define idHRL 4  //"HIP_REAR_LEFT"
#define idKRL 8  //"KNEE_REAR_LEFT"
#define idHRR 5  //"HIP_REAR_RIGHT"
#define idKRR 9  //"KNEE_REAR_RIGHT"
#define idEYE 10 //"EYE_SERVO"

// define 'real' servo positions here (values to map coordinate systems)
// hips 
#define HFR_deg90 135 // front leg forward or rear leg backward 
#define HFR_deg0 37   // leg perpendicular to body side
#define HFL_deg90 50
#define HFL_deg0 151
#define HRR_deg90 50
#define HRR_deg0 152
#define HRL_deg90 130
#define HRL_deg0 35

// knees 
#define KFR_deg90 166 // feet perpendicular to ground
#define KFR_deg0 64   // feet parallel to ground
#define KFL_deg90 23
#define KFL_deg0 122
#define KRR_deg90 26
#define KRR_deg0 125
#define KRL_deg90 166
#define KRL_deg0 76

// eye 
#define EYE_min 10 
#define EYE_max 140
#define EYE_center 65

// feet 
#define FTG 65 // angle at which the FeetTouchGround
#define FLG 10 // angle at which the FeetLeaveGround (actually any angle where the feet are lift off the ground will do)


// define 'robot' servo positions here (values in robot coordinate system)
// hips
#define FhipFWD 50        // angle for walking: legs full forwards
#define FhipREV 0         // angle for walking: legs full reverse
#define RhipFWD -FhipREV  // same just for walking backwards
#define RhipREV -FhipFWD

#define FLhipCrabFWD 40 // angle for crab sideways full 'forward'
#define FLhipCrabREV 90 // angle for crab sideways full 'reverse'
#define FRhipCrabFWD FLhipCrabREV
#define FRhipCrabREV FLhipCrabFWD
#define RLhipCrabFWD -FLhipCrabFWD
#define RLhipCrabREV -FLhipCrabREV
#define RRhipCrabFWD -FLhipCrabREV
#define RRhipCrabREV -FLhipCrabFWD

#define bodyTurnStart 45 // angle at which the hips begin to turn
#define bodyTurnDiff 20  // how much degree the hips turn

